class FurnitureItem < ApplicationRecord
  belongs_to :furniture, inverse_of: :furniture_items
  belongs_to :item, inverse_of: :furniture_items

  has_many :chosen_items, inverse_of: :furniture_item, :dependent => :destroy
  has_many :chosen_furnitures, through: :chosen_items, inverse_of: :furniture_items

  def name
    item.name rescue "Undefined"
  end

  rails_admin do
    visible false

    # Utile se lo usavamo nella configurazione della anagrafic amobili, quando sembrava che
    # in mobilart volessero la possibilità di inserire diverse volte lo stesso
    # item in un mobile
    field :item
  end
end
