require 'active_support/concern'

module UserModelConcern
  extend ActiveSupport::Concern
  included do
    has_many :workflows, dependent: :destroy, inverse_of: :user
    has_many :timetables, dependent: :destroy, inverse_of: :user
    has_many :assigneds, class_name: 'Workflow', foreign_key: :third_party_id, inverse_of: :third_party
  end
end

# include the extension
# User.send(:include, UserModelConcern)
